XISUITEDokumentation

Task Sidebar Preferences

5 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

Get effective task-detail sidebar preferences#

GET/spaces/{spaceId}/task-sidebar-preferencesToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

Antworten

  • 200Task sidebar preferences returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/task-sidebar-preferences" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Save default task-detail sidebar preferences for the space#

PUT/spaces/{spaceId}/task-sidebar-preferences/defaultToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

Request-Bodyapplication/jsonSaveTaskSidebarPreferencesDto

NameTypBeschreibung
propertiesPflichtTaskSidebarPropertyDto[]–
properties[].idPflichtstring

Werte: processtask_typestatuspriorityresolutionparent_taskassigneereporterstart_datedue_datedurationprogresslabelstime_trackingestimated_costresource_planningcreated_atupdated_atsla

properties[].visiblePflichtboolean–
properties[].orderPflichtnumber–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/task-sidebar-preferences/default" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"properties":[]}'

Reset default task-detail sidebar preferences for the space#

DELETE/spaces/{spaceId}/task-sidebar-preferences/defaultToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/task-sidebar-preferences/default" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Save current user task-detail sidebar preferences#

PUT/spaces/{spaceId}/task-sidebar-preferences/meToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

Request-Bodyapplication/jsonSaveTaskSidebarPreferencesDto

NameTypBeschreibung
propertiesPflichtTaskSidebarPropertyDto[]–
properties[].idPflichtstring

Werte: processtask_typestatuspriorityresolutionparent_taskassigneereporterstart_datedue_datedurationprogresslabelstime_trackingestimated_costresource_planningcreated_atupdated_atsla

properties[].visiblePflichtboolean–
properties[].orderPflichtnumber–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/task-sidebar-preferences/me" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"properties":[]}'

Reset current user task-detail sidebar preferences#

DELETE/spaces/{spaceId}/task-sidebar-preferences/meToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring

Space UUID

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/task-sidebar-preferences/me" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions